cancel
Showing results for 
Search instead for 
Did you mean: 

ready-api-maven-plugin not working in java jdk 11

Marcus1970
New Contributor

ready-api-maven-plugin not working in java jdk 11

Hi,

I followed this user guide:

https://support.smartbear.com/readyapi/docs/integrations/junit.html

put it in my pom.xml and it does not work.

 

<repositories>
    <repository>
        <id>SmartBearPluginRepository</id>
        <url>http://smartbearsoftware.com/repository/maven2</url>
    </repository>
</repositories>

<dependencies>
    <dependency>
        <groupId>com.smartbear</groupId>
        <artifactId>ready-api-maven-plugin</artifactId>
        <version>2.7.0</version>
        <exclusions>
            <exclusion>
                <groupId>com.google.guava</groupId>
                <artifactId>guava</artifactId>
            </exclusion>
        </exclusions>
    </dependency>
    <dependency>
        <groupId>org.olap4j</groupId>
        <artifactId>olap4j</artifactId>
        <version>1.2.0</version>
    </dependency>
    <dependency>
        <groupId>com.fasterxml.jackson.core</groupId>
        <artifactId>jackson-databind</artifactId>
        <version>2.9.8</version>
    </dependency>
</dependencies>

 

I get the following error:

Fatal error compiling: Illegal char <> at index 7: ../lib/.jar ->

I use java 11.

If I revert to java 8 it works though.

But I don't want to downgrade java.

 

Mr
3 REPLIES 3
nmrao
Community Hero

Re: ready-api-maven-plugin not working in java jdk 11

Please ensure with SmartBear support if the same is supported or not. There isn't any option for you to use jdk 8 if jdk 11 not supoorted yet.


Regards,
Rao.
Marcus1970
New Contributor

Re: ready-api-maven-plugin not working in java jdk 11

I emailed smart bear support and they suggested me to join  this forum since I am not a customer yet.

 

This instruction https://support.smartbear.com/readyapi/docs/integrations/junit.html is from march 2021.

Java 11 has been around for quite a while now.

 

Regards,

Marcus

Mr
nmrao
Community Hero

Re: ready-api-maven-plugin not working in java jdk 11


@Marcus1970 wrote:

Java 11 has been around for quite a while now.


Agreed. But the tool  also has have the support / certified from product teams. 

Good that you tried and pointed it does not work.



Regards,
Rao.
New Here?
Join us and watch the welcome video:
Announcements
Top Kudoed Authors